﻿-- Author      : Nogarder
-- Create Date : 2013/4/17 13:42:52
--register initialize function
--NPA.DataCollector.RegisterModule( datatype, initfunc, uninitfunc )
NPA.DataCollector.RegisterModule("Summoned",
	function()
		local NPA_SpellInfo_GetSpellInfo=NPA.SpellInfo.GetSpellInfo
		local NPA_EventHandler_FireEvent=NPA.EventHandler.FireEvent
		--combatlog event
		NPA.DataCollector.RegisterCombatLogEvent("SPELL_SUMMON","DataCollector_Summoned",function(arg,sourceunitdata,destunitdata)
			--[1]=timestamp
			--[2]=event
			--[3]=hidecaster
			--[4]=sourceGUID
			--[5]=srouceName
			--[6]=sourceFlags
			--[7]=sourceFlags2
			--[8]=destGUID
			--[9]=destName
			--[10]=destFlags
			--[11]=destFlags2
			--[12]=spellid
			--[13]=spellname
			--[14]=spellschool

			destunitdata.SummonedBy=spellid
			destunitdata.SummonedByUnitData=sourceunitdata
			--fire event
			NPA_EventHandler_FireEvent(7,"Summoned_Updated",destunitdata)
		end)
	end,
	function()
		--unregister events
		NPA.DataCollector.RegisterCombatLogEvent("SPELL_SUMMON","DataCollector_Summoned",nil)
	end,
	--data transfer function,transfer frame-based unitdata to guid-based unitdata
	--frame-based won't get any data so dont do transfer
	function()
		--
		--do nothing
	end
	)

