﻿-- Author      : Nogarder
-- Create Date : 2013/4/7 13:33:57
local UnitExists=UnitExists
local NPA_EventHandler_FireEvent=NPA.EventHandler.FireEvent
local string_find=string.find
local type=type
local pairs=pairs
--tooltips scaner
--create a invisiable tooltip to get system information
local NPA_ScanTooltip = CreateFrame( "GameTooltip", "NPAScanTooltip", UIParent, "GameTooltipTemplate") 
NPA_ScanTooltip:SetOwner( WorldFrame, "ANCHOR_NONE")
--extract lines
local i=1
local NPA_ScanTooltipLines={}
for _,frame in pairs({NPA_ScanTooltip:GetRegions()}) do
	--check its region, then check name
	if(type(frame)=="table" and frame.GetName)then
		local name=frame:GetName()
		if(name and string_find(frame:GetName(),"NPAScanTooltipTextLeft"))then
			NPA_ScanTooltipLines[i]=frame
			i=i+1
		end
	end
end
--release i, supposely reduce memory cost by a very little amount XD
i=nil
--register event
--
NPA.EventHandler.RegisterEvent(2,"DataCollector_UnitUpdated","DataCollector_TooltipsScaner",function(unit)
	if(UnitExists(unit))then
		NPA_ScanTooltip:ClearLines()
		NPA_ScanTooltip:SetUnit(unit)
		--fire a event
		NPA_EventHandler_FireEvent(2,"DataCollector_TooltipsUpdated",unit,NPA_ScanTooltipLines)
	end
end)
