﻿-- Author      : Nogarder
-- Create Date : 2013/4/3 10:47:04

NPA.EventHandler.RegisterEvent(2,"DataCollector_DefaultNamePlate_OnShow","Debug",function(framedata)
	framedata.GUIDText:SetText(framedata.GUID)
	--print("default on show")
end)
	
NPA.EventHandler.RegisterEvent(1,"NamePlate_DefaultMain_OnHook","Debug",function(framedata)
	--debug region
	local guidtext=framedata.Parent:CreateFontString()
	guidtext:SetFont(GameFontNormal:GetFont())
	guidtext:SetPoint("TOP",framedata.Parent,"BOTTOM",0,-10)

	framedata.GUIDText=guidtext

	--print("default on hook")
end)
NPA.EventHandler.RegisterEvent(1,"DataCollector_GUIDAttached","Debug",function(framedata)
	framedata.GUIDText:SetText(framedata.GUID)
	--print("attach guid")
end)

NPA.EventHandler.RegisterEvent(6,"SettingManager_SettingLoaded","Debug",function()
	print("setting onload")
	--create an test arrow
	local setting={
		Gap=10,
		MaxPerLine=10,
		TextureFileName="Default",
		SpeedPerSecond=1,
		StartSize=5,
		EndSize=10,
		Alpha=1,
	}
	local arrow=NPA.ArrowManager.CreateArrow()
	arrow:SetPoint("LEFT",UIParent,"LEFT",0,0)
	arrow.EndPoint:SetPoint("RIGHT",UIParent,"RIGHT",0,0)
	NPA.ArrowManager.ManageArrow(arrow,setting,100)
end)
----gossip
--NPA.EventHandler.RegisterEvent(0,"GOSSIP_SHOW","Debug",function()
--	print("gossip shows")
--end)
--NPA.EventHandler.RegisterEvent(0,"GOSSIP_ENTER_CODE","Debug",function()
--	print("gossip enter")
--end)
--NPA.EventHandler.RegisterEvent(0,"GOSSIP_CLOSED","Debug",function()
--	print("gossip closed")
--end)

--print("loading debug")

---------------------------
--combat text debug
local NPA_FrameToGUID_GetFrameDataByGUID=NPA.FrameToGUID.GetFrameDataByGUID
--
local CombatTextList={}
local CurrentCount=1
local MaxText=10 --max 100
--
local TextOnUpdate=function(self,elapse)
	if(not self.Parent:IsShown())then
		self:Hide()
		return
	end
	self.Life=self.Life-elapse
	if(self.Life<0)then
		self:Hide()
	end
	--
	self.Offset=self.Offset+10*elapse
	self:SetPoint("CENTER",self.Parent,"CENTER",0,self.Offset)
	--
end
local CreateText=function()
	local frame=CreateFrame("Frame",nil,UIParent)
	frame:EnableMouse(false)
	frame:SetWidth(10)
	frame:SetHeight(10)
	frame:Hide()
	frame:SetScript("OnUpdate",TextOnUpdate)

	local icon=frame:CreateTexture()
	icon:SetWidth(10)
	icon:SetHeight(10)
	icon:SetPoint("RIGHT",frame,"LEFT",0,0)

	local text=frame:CreateFontString()
	text:SetPoint("CENTER",frame,"CENTER",0,0)
	text:SetFont(GameFontNormal:GetFont())
	text:SetPoint("LEFT",frame,"RIGHT",0,0)

	frame.Text=text
	frame.Icon=icon
	return frame
end
local AddText=function(parent,icon,text,setting)
	if(not CombatTextList[CurrentCount])then
		CombatTextList[CurrentCount]=CreateText()
	end
	--
	local frame=CombatTextList[CurrentCount]
	frame:SetPoint("CENTER",parent,"BOTTOMLEFT",0,0)
	--frame:SetPoint("CENTER",UIParent,"CENTER",0,0)
	frame.Text:SetText(text)
	frame.Icon:SetTexture(icon)
	frame.Life=20
	--
	CurrentCount=CurrentCount+1
	if(CurrentCount>MaxText)then
		CurrentCount=1
	end

	frame.Offset=0
	frame.Parent=parent
	frame:Show()
end
--
local GetFrameByGUID=function(guid)
	--check player
	if(guid==UnitGUID("player"))then --this may change so using real-time one
		return UIParent --player's position is UIParent Center
	end
	--check guid to framedata
	local framedata=NPA_FrameToGUID_GetFrameDataByGUID(guid)
	if(framedata)then
		return framedata.ModuleMain
	end
	--not match 
	return nil
end
--
NPA.EventHandler.RegisterEvent(5,"Any","CombatText_Main",function(event,arg)
	local parentframe=GetFrameByGUID(arg[8])

	if(parentframe)then
		AddText(parentframe,nil,event)
	end
end)
--
