﻿-- Author      : Nogarder
-- Create Date : 2013/4/19 12:13:09
local NPA_NamePlateDataParser_AddElements=NPA.NamePlateDataParser.AddElements
local NPA_TextureManager_ManageTexture2=NPA.TextureManager.ManageTexture2
local NPA_NamePlateModuleManager_ZipModule=NPA.NamePlateModuleManager.ZipModule
local NPA_NamePlateModuleManager_UnzipModule=NPA.NamePlateModuleManager.UnzipModule
NPA.NamePlateModuleManager.RegisterDataModule("Icon","RaidTarget",function(framedata,textureframe,setting)
	--add event elements
 	--name update
	NPA_NamePlateDataParser_AddElements(framedata,textureframe,"RaidTarget_Updated",function(framedata,unitdata)
		if(unitdata.RaidTarget)then
			local texturename=NPA_Setting.RaidTarget[unitdata.RaidTarget]
			if(texturename)then
				NPA_TextureManager_ManageTexture2(textureframe.Icon,texturename)
				NPA_NamePlateModuleManager_UnzipModule(textureframe)
			else
				NPA_NamePlateModuleManager_ZipModule(textureframe)
			end
		else
			NPA_NamePlateModuleManager_ZipModule(textureframe)
		end
	end)
end)
