﻿-- Author      : Nogarder
-- Create Date : 2012/11/13 14:30:55
NPA_Options.RegisterPageFunc("SpellPicker",function()

local pairs=pairs
local table_getn=table.getn
local table_insert=table.insert
--
local main=NPA_Options.Template.CreateFrameWithBar(parent,nil,360,340,nil,nil)
main:SetPoint("CENTER",UIParent,"CENTER",0,0)
main:Hide()
--
local page=main.Frame
page:SetWidth(360)
page:SetHeight(340)
--
local listeditor=NPA_Options.Template.CreateListEditor(nil,nil,170,330,page,nil,true)
listeditor:SetPoint("TOPLEFT",page,"TOPLEFT",5,-5)
listeditor:EnableMouse(false)
listeditor.Frame:EnableMouse(false)
--spellcheckboxlist
local spellcheckboxlist=NPA_Options.Template.CreateCheckBoxList(page,170,330)
spellcheckboxlist.Scroll:SetPoint("TOPRIGHT",page,"TOPRIGHT",-5,-5)
--script
local SpellList
--
local Refresh=function()
	local typelist={}
	--build data here
	for _,spelldata in pairs(NPA_Setting.SpellLib)do
		typelist[spelldata.Catalog]=true
	end
	local data={}
	for name,_ in pairs(typelist)do
		table_insert(data,{
				Text=name,
				Value=name,
			})
	end
	NPA_Options.Template.UpdateListEditor(listeditor,data)
end
--
listeditor.RefreshFunc=Refresh
listeditor.OnClickFunc=function(value,button)
	if(button=="LeftButton")then
		--setup checkboxlist
		--build data
		local list={}
		for spellid,data in pairs(NPA_Setting.SpellLib)do
			if(data.Catalog==value)then
				if(SpellList[spellid]~=nil)then
					list[spellid]=true
				else
					list[spellid]=false
				end
			end
		end
		NPA_Options.Template.UpdateSpellCheckBoxList(spellcheckboxlist,list)
	end
end
--
NPA_Options.Template.SetCheckBoxList(spellcheckboxlist,nil,function(name,checked)
	--set onclick func
	NPA_Options.RunFunc(main.CallBackFunc,name,checked)
end,
nil,nil)
--
main.OnSetFunc=function(spelllist,callbackfunc)
	SpellList=spelllist
	--
	main.CallBackFunc=callbackfunc
	NPA_Options.Template.UpdateCheckBoxList(spellcheckboxlist,{})
end
--
NPA_Options.RegisterPage("SpellPicker",main)

end)