﻿-- Author      : Nogarder
-- Create Date : 2012/4/17 16:03:33
local table_insert=table.insert
--localization
local Localization=NPA_Options.Localization.PagesMain
local Tooltips=Localization.Tooltips
--
local parent=NPA_Options.MainFrame
--main page
local main=NPA_Options.Template.CreateFrameWithBar(NPA_Options.MainFrame,"NPA2",100,240,nil,nil,nil,nil,NPA_Options.MainFrame)
main:SetPoint("CENTER",parent,"CENTER",-60,120)
local page=main.Frame
page:SetWidth(100)
page:SetHeight(240)
page:HookScript("OnHide",function()
	NPA_Options.MainFrame:Hide()
end)
local width=90
local step=-5
--core button
local corebutton=NPA_Options.Template.CreateButton(page,width,15,Localization["Core"])
corebutton:SetPoint("TOPLEFT",page,"TOPLEFT",5,-5)
NPA_Options.Template.SetTooltips(Tooltips["Core"],corebutton,nil,2)
--nameplate button
local nameplatebutton=NPA_Options.Template.CreateButton(page,width,15,Localization["Appearance"])
NPA_Options.Template.SetTooltips(Tooltips["Appearance"],nameplatebutton,nil,2)
nameplatebutton:SetPoint("TOP",corebutton,"BOTTOM",0,step)
NPA_Options.SetPageButton(nameplatebutton,"NamePlateAppearanceProfileList",main)
--nameplate condition button
local nameplateconditionbutton=NPA_Options.Template.CreateButton(page,width,15,Localization["Condition"])
NPA_Options.Template.SetTooltips(Tooltips["Condition"],nameplateconditionbutton,nil,2)
nameplateconditionbutton:SetPoint("TOP",nameplatebutton,"BOTTOM",0,step)
NPA_Options.SetPageButton(nameplateconditionbutton,"NamePlateCondition",main)
--resourceslib button
local resourceslibbutton=NPA_Options.Template.CreateButton(page,width,15,Localization["ResourcesLib"])
NPA_Options.Template.SetTooltips(Tooltips["ResourcesLib"],resourceslibbutton,nil,2)
resourceslibbutton:SetPoint("TOP",nameplateconditionbutton,"BOTTOM",0,step)
NPA_Options.SetPageButton(resourceslibbutton,"ResourcesLib",main)
--combattext button
local combattextbutton=NPA_Options.Template.CreateButton(page,width,15,Localization["CombatText"])
NPA_Options.Template.SetTooltips(Tooltips["CombatText"],combattextbutton,nil,2)
combattextbutton:SetPoint("TOP",resourceslibbutton,"BOTTOM",0,step)
NPA_Options.SetPageButton(combattextbutton,"CombatText",main)
--targetarrow button
local targetarrowbutton=NPA_Options.Template.CreateButton(page,width,15,Localization["TargetArrow"])
NPA_Options.Template.SetTooltips(Tooltips["TargetArrow"],targetarrowbutton,nil,2)
targetarrowbutton:SetPoint("TOP",combattextbutton,"BOTTOM",0,step)
NPA_Options.SetPageButton(targetarrowbutton,"TargetArrow",main)
--about button
local aboutbutton=NPA_Options.Template.CreateButton(page,width,15,Localization["About"])
NPA_Options.Template.SetTooltips(Tooltips["About"],resourceslibbutton,nil,2)
aboutbutton:SetPoint("TOP",targetarrowbutton,"BOTTOM",0,step)
NPA_Options.SetPageButton(aboutbutton,"About",main)
--special reset ui button
local uiresetbutton=NPA_Options.Template.CreateSystemButton(page,width,15,Localization["ReloadUI"])
NPA_Options.Template.SetTooltips(Tooltips["ReloadUI"],uiresetbutton,nil,2)
uiresetbutton:SetPoint("BOTTOM",page,"BOTTOM",0,5)
uiresetbutton:SetScript("OnClick",function()
	local confirmbox=NPA_Options.Template.SetMsgBox(main,Localization["ReloadUI"],function()
		ReloadUI()
	end)
	confirmbox:SetPoint("LEFT",uiresetbutton,"RIGHT",10,0)
end)
--language selector
local GetAviliableLocalization=function()
	local data={}
	for name,value in pairs(NPA_Options.AviliableLocalization)do
		table_insert(data,{
			Text=name,
			Value=value
		})
	end
	return data
end
local localizationbutton=NPA_Options.Template.CreateDropDownEditor(page,width,"Language",Tooltips["RequireReload"],GetAviliableLocalization)
localizationbutton:SetPoint("BOTTOMLEFT",uiresetbutton,"TOPLEFT",0,-step)
NPA_Options.Template.SetDropDownEditor(localizationbutton,NPA_Options.Locale,libfunc)
localizationbutton.OnValueUpdateFunc=function()
	NPA_Setting.Locale=localizationbutton.Value
end
--
local ziped
page:HookScript("OnShow",function()
	ziped=false
end)
main.Minimizer:SetScript("OnMouseUp",function()
	if(ziped)then
		NPA_Options.RestorePages(main)
		ziped=false
	else
		NPA_Options.MinimizePages(main)
		ziped=true
	end
end)
--
NPA_Options.RegisterPage("MainPage",main)
NPA_Options.MainPage=main
